Support » Plugin: Happy Addons for Elementor » Last update cause error conflict in frontend

  • Resolved sermalefico

    (@sermalefico)


    Last update cause conflict in frontend and break all scripts

    On deactivate o Rollback to 2.14.0 version of Happy Addons all is fine

    Uncaught TypeError: Cannot read property 'Document' of undefined
        at Object.<anonymous> (frontend.min.js:2)
        at n (frontend.min.js:2)
        at Object.<anonymous> (frontend.min.js:2)
        at n (frontend.min.js:2)
        at Object.<anonymous> (frontend.min.js:2)
        at n (frontend.min.js:2)
        at frontend.min.js:2
        at frontend.min.js:2
    • This topic was modified 10 months, 3 weeks ago by sermalefico.
Viewing 9 replies - 1 through 9 (of 9 total)
  • Same problem in all websites I manage:

    frontend.min.js?ver=3.0.3:2 Uncaught TypeError: Cannot read property ‘Document’ of undefined
    at Object.<anonymous> (frontend.min.js?ver=3.0.3:2)
    at n (frontend.min.js?ver=3.0.3:2)
    at Object.<anonymous> (frontend.min.js?ver=3.0.3:2)
    at n (frontend.min.js?ver=3.0.3:2)
    at Object.<anonymous> (frontend.min.js?ver=3.0.3:2)
    at n (frontend.min.js?ver=3.0.3:2)
    at frontend.min.js?ver=3.0.3:2
    at frontend.min.js?ver=3.0.3:2
    (anonymous) @ frontend.min.js?ver=3.0.3:2
    n @ frontend.min.js?ver=3.0.3:2
    (anonymous) @ frontend.min.js?ver=3.0.3:2
    n @ frontend.min.js?ver=3.0.3:2
    (anonymous) @ frontend.min.js?ver=3.0.3:2
    n @ frontend.min.js?ver=3.0.3:2
    (anonymous) @ frontend.min.js?ver=3.0.3:2
    (anonymous) @ frontend.min.js?ver=3.0.3:2
    happy-addons.min.js?ver=2.14.1:1 Uncaught TypeError: Cannot read property ‘handlers’ of undefined
    at happy-addons.min.js?ver=2.14.1:1
    at dispatch (jquery.js?ver=1.12.4-wp:3)
    at r.handle (jquery.js?ver=1.12.4-wp:3)
    at Object.trigger (jquery.js?ver=1.12.4-wp:3)
    at Object.jQuery.event.trigger (jquery-migrate-1.4.1-wp.js?ver=1.4.1-wp:644)
    at jquery.js?ver=1.12.4-wp:3
    at Function.each (jquery.js?ver=1.12.4-wp:2)
    at jQuery.fn.init.each (jquery.js?ver=1.12.4-wp:2)
    at jQuery.fn.init.trigger (jquery.js?ver=1.12.4-wp:3)
    at Frontend.init (frontend.min.js?ver=3.0.6:2)

    Having the same problem. But no error in incognito mode.

    • This reply was modified 10 months, 3 weeks ago by jakirmithunbd.

    Same here!

    +1, version 2.14.1 causes this:

    happy-addons.min.js?ver=2.14.1:1 Uncaught TypeError: Cannot read property ‘handlers’ of undefined
    at happy-addons.min.js?ver=2.14.1:1
    at dispatch (jquery.js?ver=1.12.4-wp:3)
    at r.handle (jquery.js?ver=1.12.4-wp:3)
    at Object.trigger (jquery.js?ver=1.12.4-wp:3)
    at jquery.js?ver=1.12.4-wp:3
    at Function.each (jquery.js?ver=1.12.4-wp:2)
    at n.fn.init.each (jquery.js?ver=1.12.4-wp:2)
    at n.fn.init.trigger (jquery.js?ver=1.12.4-wp:3)
    at Frontend.init (frontend.min.js?ver=3.0.6:2)
    at HTMLDocument.<anonymous> (frontend.min.js?ver=3.0.6:2)

    We revert back to previous version.

    I had the same problem after updating HappyAddons 2.14.1. I wasn’t able to update any page using elementor without weird things happening like missing titles and wrong colors. I installed WP Rollback and reinstalled HappyAddons 2.14.0 and everything is good again!

    I had same problem with HappyAddons 2.14.1. When I rollback HappyAddons 2.14.1 to 2.14.0 and Working fine!!

    Thanks @travishharry

    Plugin Support MM Aurangajeb

    (@aurangajeb)

    Hello There,
    Firstly, we are very sorry for the unexpected inconvenience.

    Please allow us a few more time to investigate on this certain issue.

    Regards.

    +1 having same issue with 2.14.1. 2.14.0 works perfectly fine. Error only occurs when logged into WP-Admin. Incognito (as well as editing through elementor) are fine.

    Plugin Support MM Aurangajeb

    (@aurangajeb)

    Hello guys,

    Please note that our developers are already started working on the (V-2.14.1) issues & hoping they will release a new update very soon. Meanwhile, if you want to rollback, then please download our previous version(2.14.0) from here (https://wordpress.o​rg/plugins/happy-elementor-addons/advanced) and install it on your site. Cautious: It’s highly recommended that please keep a full site backup before placing any update/downgrade/troubleshoot any live site.

    I hope you will consider the current situation & we are sorry again for the inconvenience.
    Kind Regards.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Last update cause error conflict in frontend’ is closed to new replies.